Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceKnowledgeBase

Get Document Upload URL

POST
/voice/knowledge-bases/{knowledgeBaseId}/upload-url

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Path Parameters

knowledgeBaseId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/voice/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/upload-url" \  -H "Content-Type: application/json" \  -d '{    "filename": "string",    "contentType": "string",    "contentLength": 1  }'
{
  "uploadUrl": "string",
  "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
  "s3Key": "string"
}
filename*string
Length1 <= length <= 255
contentType*string
contentLength*integer
Range1 <= value <= 52428800